<!DOCTYPE html>
<html lang="en">
  <head>
    <title> Enumeration Reference</title>
    <link rel="stylesheet" type="text/css" href="../../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../../js/jquery.min.js" defer></script>
    <script src="../../js/jazzy.js" defer></script>
    
    <script src="../../js/lunr.min.js" defer></script>
    <script src="../../js/typeahead.jquery.js" defer></script>
    <script src="../../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/objc/Enum/" class="dashAnchor"></a>
    <a title=" Enumeration Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../../index.html">ProxicloudSDK 2.4.0 Docs</a> (32% documented)</p>
        <p class="header-right">
          <form role="search" action="../../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../../index.html">ProxicloudSDK Reference</a>
        <img id="carat" src="../../img/carat.png" />
         Enumeration Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../../Categories.html">Categories</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Categories/CBCharacteristic%28PCCharacteristic%29.html">CBCharacteristic(PCCharacteristic)</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Categories/CBPeripheral%28PCPeripheral%29.html">CBPeripheral(PCPeripheral)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Classes/PCBluetooth.html">PCBluetooth</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEnums.html">PCEnums</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEvent.html">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventAID.html">PCEventAID</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventApplicationActive">PCEventApplicationActive</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventApplicationDidEnterBackground">PCEventApplicationDidEnterBackground</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventApplicationForeground">PCEventApplicationForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventApplicationLaunched.html">PCEventApplicationLaunched</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventApplicationWillEnterForeground">PCEventApplicationWillEnterForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventApplicationWillResignActive">PCEventApplicationWillResignActive</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventApplicationWillTerminate">PCEventApplicationWillTerminate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventBluetoothAuthorization.html">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventBluetoothEmulation">PCEventBluetoothEmulation</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventCharacteristicWrite.html">PCEventCharacteristicWrite</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventCharacteristicsUpdate.html">PCEventCharacteristicsUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventCustom.html">PCEventCustom</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventDeviceConnected.html">PCEventDeviceConnected</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventDeviceConnectedToWiFiNetwork.html">PCEventDeviceConnectedToWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventDeviceDisconnected.html">PCEventDeviceDisconnected</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventDeviceDisconnectedFromWiFiNetwork.html">PCEventDeviceDisconnectedFromWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventDeviceDiscovered.html">PCEventDeviceDiscovered</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventDeviceUpdated.html">PCEventDeviceUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventLocationAuthorization.html">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventMagnetometerUpdate.html">PCEventMagnetometerUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventNotificationsAuthorization.html">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventPerformAction.html">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventPerformWhenInUseAction.html">PCEventPerformWhenInUseAction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventRangedBeacon.html">PCEventRangedBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventReachabilityEvent.html">PCEventReachabilityEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventRegionEnter.html">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventRegionExit.html">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventReportConversion.html">PCEventReportConversion</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventReportHistory.html">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventServicesUpdated.html">PCEventServicesUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventUpdateResolver.html">PCEventUpdateResolver</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCEventWiFiStatus.html">PCEventWiFiStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMAID.html">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMBeacon.html">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMCampaignAction.html">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMGeofence.html">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMLocationAction.html">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMRegion.html">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMTrigger.html">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMWifiNetwork.html">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCMagnetometer.html">PCMagnetometer</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCManager.html">PCManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes.html#/c:objc(cs)PCModel">PCModel</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCSettingEvent.html">PCSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/PCUpdateSettingEvent.html">PCUpdateSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/ProxicloudSDK.html">ProxicloudSDK</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Constants.html">Constants</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Constants.html#/c:@APIDateFormat">APIDateFormat</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Constants.html#/c:@ProxicloudSDKVersionNumber">ProxicloudSDKVersionNumber</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Constants.html#/c:@ProxicloudSDKVersionString">ProxicloudSDKVersionString</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Constants.html#/c:@kPCIdentifier">kPCIdentifier</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Constants.html#/c:PCEnums.h@kPCMagnitudeFarKey">kPCMagnitudeFarKey</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Constants.html#/c:PCEnums.h@kPCMagnitudeImmediateKey">kPCMagnitudeImmediateKey</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Constants.html#/c:PCEnums.h@kPCMagnitudeNearKey">kPCMagnitudeNearKey</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Enums/PCActionType.html">PCActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCBluetoothStatus.html">PCBluetoothStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCConversionType.html">PCConversionType</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCInternalActionType.html">PCInternalActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCLocationAuthorizationStatus.html">PCLocationAuthorizationStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCManagerAvailabilityStatus.html">PCManagerAvailabilityStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCManagerBackgroundAppRefreshStatus.html">PCManagerBackgroundAppRefreshStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCTriggerType.html">PCTriggerType</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/PCWifiStatus.html">PCWifiStatus</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEvent">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventBluetoothAuthorization">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventLocationAuthorization">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventNotificationsAuthorization">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventPerformAction">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventRangedBeacons">PCEventRangedBeacons</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventRegionEnter">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventRegionExit">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventReportHistory">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMAID">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMBeacon">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMCampaignAction">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMGeofence">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMLocationAction">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMRegion">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMTrigger">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCMWifiNetwork">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/c:objc(pl)PCModel">PCModel</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Type%20Definitions.html">Type Definitions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Type%20Definitions/PCFirmwareVersion.html">PCFirmwareVersion</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Type%20Definitions/PCMagneticProximity.html">PCMagneticProximity</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Type%20Definitions/PCPeripheralCharacteristic.html">PCPeripheralCharacteristic</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Type%20Definitions/PCPeripheralService.html">PCPeripheralService</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Type%20Definitions/kPCMagnitudeLevels.html">kPCMagnitudeLevels</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Functions.html#/c:@F@sbLogFuncObjC_impl">sbLogFuncObjC_impl</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1></h1>
              <div class="declaration">
                <div class="language">
                  <p class="aside-title">Objective-C</p>
                  <pre class="highlight objective_c"><code><span class="k">enum</span> <span class="o">:</span> <span class="n">NSUInteger</span> <span class="p">{</span>
    <span class="c1">// Full list avaialable @ https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicsHome.aspx</span>
    <span class="n">iBLESystem</span> <span class="o">=</span> <span class="mh">0x2A23</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.system_id.xml</span>
    <span class="n">iBLEModel</span> <span class="o">=</span> <span class="mh">0x2A24</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.model_number_string.xml</span>
    <span class="n">iBLESerialNumber</span> <span class="o">=</span> <span class="mh">0x2A25</span><span class="p">,</span>
    <span class="c1">// https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.serial_number_string.xml</span>
    <span class="n">iBLEFirmwareRev</span> <span class="o">=</span> <span class="mh">0x2A26</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.firmware_revision_string.xml</span>
    <span class="n">iBLEHardwareRev</span> <span class="o">=</span> <span class="mh">0x2A27</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.hardware_revision_string.xml</span>
    <span class="n">iBLESoftwareRev</span> <span class="o">=</span> <span class="mh">0x2A28</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.software_revision_string.xml</span>
    <span class="n">iBLEManufacturer</span> <span class="o">=</span> <span class="mh">0x2A29</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.manufacturer_name_string.xml</span>
    
    <span class="n">iBLEIEE</span> <span class="o">=</span> <span class="mh">0x2A2A</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.ieee_11073-20601_regulatory_certification_data_list.xml</span>
    <span class="n">iBLEPNP</span> <span class="o">=</span> <span class="mh">0x2A50</span><span class="p">,</span>
    <span class="c1">//https://developer.bluetooth.org/gatt/characteristics/Pages/CharacteristicViewer.aspx?u=org.bluetooth.characteristic.pnp_id.xml</span>
    
    <span class="c1">// iBKS specific characteristic id's (see http://accent-systems.com/ibks-technical-docs/ )</span>
    <span class="n">iBKSUUID</span>  <span class="o">=</span> <span class="mh">0xFFF1</span><span class="p">,</span>
    <span class="n">iBKSMajor</span> <span class="o">=</span> <span class="mh">0xFFF2</span><span class="p">,</span>
    <span class="n">iBKSMinor</span> <span class="o">=</span> <span class="mh">0xFFF3</span><span class="p">,</span>
    <span class="n">iBKSCPwr</span>  <span class="o">=</span> <span class="mh">0xFFF4</span><span class="p">,</span>
    <span class="n">iBKSAdv</span>   <span class="o">=</span> <span class="mh">0xFFF5</span><span class="p">,</span>
    <span class="n">iBKSTxPwr</span> <span class="o">=</span> <span class="mh">0xFFF6</span><span class="p">,</span>
    <span class="n">iBKSPwd</span>   <span class="o">=</span> <span class="mh">0xFFF7</span><span class="p">,</span>
    <span class="n">iBKSCfg</span>   <span class="o">=</span> <span class="mh">0xFFF8</span><span class="p">,</span>
    <span class="n">iBKSStatus</span><span class="o">=</span> <span class="mh">0xFFF9</span><span class="p">,</span>
    <span class="c1">//</span>
    <span class="n">iBKSAdvMode</span><span class="o">=</span> <span class="mh">0xFFFA</span>
    <span class="c1">//</span>
<span class="p">}</span></code></pre>

                </div>
                <div class="language">
                  <p class="aside-title">Swift</p>
                  <pre class="highlight swift"><code><span class="kd">struct</span> <span class="kt"><a href="../../Type%20Definitions/PCPeripheralCharacteristic.html">PCPeripheralCharacteristic</a></span> <span class="p">:</span> <span class="kt">Equatable</span><span class="p">,</span> <span class="kt">RawRepresentable</span></code></pre>

                </div>
              </div>
            <p>Undocumented</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLESystem"></a>
                    <a name="//apple_ref/objc/Case/iBLESystem" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLESystem">iBLESystem</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLESystem</span> <span class="o">=</span> <span class="mh">0x2A23</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLEModel"></a>
                    <a name="//apple_ref/objc/Case/iBLEModel" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLEModel">iBLEModel</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLEModel</span> <span class="o">=</span> <span class="mh">0x2A24</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLESerialNumber"></a>
                    <a name="//apple_ref/objc/Case/iBLESerialNumber" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLESerialNumber">iBLESerialNumber</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLESerialNumber</span> <span class="o">=</span> <span class="mh">0x2A25</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLEFirmwareRev"></a>
                    <a name="//apple_ref/objc/Case/iBLEFirmwareRev" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLEFirmwareRev">iBLEFirmwareRev</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLEFirmwareRev</span> <span class="o">=</span> <span class="mh">0x2A26</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLEHardwareRev"></a>
                    <a name="//apple_ref/objc/Case/iBLEHardwareRev" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLEHardwareRev">iBLEHardwareRev</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLEHardwareRev</span> <span class="o">=</span> <span class="mh">0x2A27</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLESoftwareRev"></a>
                    <a name="//apple_ref/objc/Case/iBLESoftwareRev" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLESoftwareRev">iBLESoftwareRev</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLESoftwareRev</span> <span class="o">=</span> <span class="mh">0x2A28</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLEManufacturer"></a>
                    <a name="//apple_ref/objc/Case/iBLEManufacturer" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLEManufacturer">iBLEManufacturer</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLEManufacturer</span> <span class="o">=</span> <span class="mh">0x2A29</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLEIEE"></a>
                    <a name="//apple_ref/objc/Case/iBLEIEE" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLEIEE">iBLEIEE</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLEIEE</span> <span class="o">=</span> <span class="mh">0x2A2A</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBLEPNP"></a>
                    <a name="//apple_ref/objc/Case/iBLEPNP" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBLEPNP">iBLEPNP</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBLEPNP</span> <span class="o">=</span> <span class="mh">0x2A50</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSUUID"></a>
                    <a name="//apple_ref/objc/Case/iBKSUUID" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSUUID">iBKSUUID</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSUUID</span>  <span class="o">=</span> <span class="mh">0xFFF1</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSMajor"></a>
                    <a name="//apple_ref/objc/Case/iBKSMajor" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSMajor">iBKSMajor</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSMajor</span> <span class="o">=</span> <span class="mh">0xFFF2</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSMinor"></a>
                    <a name="//apple_ref/objc/Case/iBKSMinor" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSMinor">iBKSMinor</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSMinor</span> <span class="o">=</span> <span class="mh">0xFFF3</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSCPwr"></a>
                    <a name="//apple_ref/objc/Case/iBKSCPwr" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSCPwr">iBKSCPwr</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSCPwr</span>  <span class="o">=</span> <span class="mh">0xFFF4</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSAdv"></a>
                    <a name="//apple_ref/objc/Case/iBKSAdv" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSAdv">iBKSAdv</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSAdv</span>   <span class="o">=</span> <span class="mh">0xFFF5</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSTxPwr"></a>
                    <a name="//apple_ref/objc/Case/iBKSTxPwr" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSTxPwr">iBKSTxPwr</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSTxPwr</span> <span class="o">=</span> <span class="mh">0xFFF6</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSPwd"></a>
                    <a name="//apple_ref/objc/Case/iBKSPwd" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSPwd">iBKSPwd</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSPwd</span>   <span class="o">=</span> <span class="mh">0xFFF7</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSCfg"></a>
                    <a name="//apple_ref/objc/Case/iBKSCfg" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSCfg">iBKSCfg</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSCfg</span>   <span class="o">=</span> <span class="mh">0xFFF8</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSStatus"></a>
                    <a name="//apple_ref/objc/Case/iBKSStatus" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSStatus">iBKSStatus</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSStatus</span><span class="o">=</span> <span class="mh">0xFFF9</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@EA@PCPeripheralCharacteristic@iBKSAdvMode"></a>
                    <a name="//apple_ref/objc/Case/iBKSAdvMode" class="dashAnchor"></a>
                    <a class="token" href="#/c:@EA@PCPeripheralCharacteristic@iBKSAdvMode">iBKSAdvMode</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="n">iBKSAdvMode</span><span class="o">=</span> <span class="mh">0xFFFA</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>Coryright Proxi Cloud. All rights reserved</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.13.6</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
